# Tutorials

The tutorials are a collection of working code samples demonstrating
simple analysis and visualization using the CALM-Brain resource. The
examples lack a narrative explanation but are well-commented with
appropriate variable names to make the it self-explanatory. In case
you haven't already, please checkout the [user
guide](../../..//wiki/Home). These examples are a way to get familiar
with using [almirah](https://girishmm.github.io/almirah/) and the
CALM-Brain resource. The sole purpose of these tutorials is to
acquaint the user with the components of the resource and not provide
data related insights.

## Introduction

* [Exploring with almirah](intro/exploring-with-almirah.md)

## Working with different modalities

* [Accessing clinical records](modality/accessing-clinical-records.md)
* [Reading structural MRI with nibabel](modality/reading-mri-with-nibabel.md)
* [Processing EEG with MNE-Python](modality/processing-eeg-with-mne.md)
* [Importing Eye tracking data with MNE-Python](modality/importing-eyetrack-with-mne.md)
* [Processing NIRS data with MNE-Python](modality/processing-nirs-with-mne.md)

## Cross-modal analysis workflow

* [Average EEG signal across various disorders](multimodal/average-eeg-across-disorders.md)

